import React, { ReactNode } from 'react';
import { GetContentTypes } from './ReactTooltip';
export interface Offset {
    top?: number;
    right?: number;
    left?: number;
    bottom?: number;
}
export declare type EventFunc = (e: React.MouseEvent<HTMLElement, MouseEvent>) => void;
export declare type Effect = 'float' | 'solid';
export declare type Place = 'top' | 'right' | 'bottom' | 'left';
export declare type Type = 'dark' | 'success' | 'warning' | 'error' | 'info' | 'light';
export declare type Wrapper = 'div' | 'span';
export declare type TooltipProps = {
    uuid?: string;
    children?: ReactNode;
    place?: Place;
    type?: Type;
    effect?: Effect;
    offset?: Offset;
    padding?: string;
    multiline?: boolean;
    border?: boolean;
    textColor?: string;
    backgroundColor?: string;
    borderColor?: string;
    arrowColor?: string;
    insecure?: boolean;
    class?: string;
    className?: string;
    id?: string;
    html?: boolean;
    delayHide?: number;
    delayUpdate?: number;
    delayShow?: number;
    event?: string;
    eventOff?: string;
    isCapture?: boolean;
    globalEventOff?: string;
    getContent?: GetContentTypes | GetContentTypes[];
    afterShow?: EventFunc;
    afterHide?: EventFunc;
    overridePosition?(position: {
        left: number;
        top: number;
    }, currentEvent: React.MouseEvent<HTMLElement, MouseEvent>, currentTarget: EventTarget, refNode: null | HTMLDivElement | HTMLSpanElement, place: Place, desiredPlace: Place, effect: Effect, offset: Offset): {
        left: number;
        top: number;
    };
    disable?: boolean;
    scrollHide?: boolean;
    resizeHide?: boolean;
    wrapper?: Wrapper;
    bodyMode?: boolean;
    possibleCustomEvents?: string;
    possibleCustomEventsOff?: string;
    clickable?: boolean;
    role?: string;
};
//# sourceMappingURL=TooltipProps.d.ts.map