/// <reference types="react" />
import { Offset, Place } from '../TooltipProps';
/**
 * Calculate the position of tooltip
 *
 * @params
 * - `e` {Event} the event of current mouse
 * - `target` {Element} the currentTarget of the event
 * - `node` {DOM} the react-tooltip object
 * - `place` {String} top / right / bottom / left
 * - `effect` {String} float / solid
 * - `offset` {Object} the offset to default position
 *
 * @return {Object}
 * - `isNewState` {Bool} required
 * - `newState` {Object}
 * - `position` {Object} {left: {Number}, top: {Number}}
 */
export default function (e: React.MouseEvent<HTMLElement, MouseEvent>, target: HTMLElement, node: HTMLElement, place: Place, desiredPlace: Place, effect: string, offset: Offset): {
    isNewState: boolean;
    newState: {
        place: Place;
    };
    position?: undefined;
} | {
    isNewState: boolean;
    position: {
        left: number;
        top: number;
    };
    newState?: undefined;
};
//# sourceMappingURL=getPosition.d.ts.map